/*
 * Copyright (C) 2009 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package dex.structure;

import java.lang.reflect.Modifier;

/**
 * {@link WithModifiers} is implemented by all language elements that have
 * modifiers.
 */
public interface WithModifiers {

    /**
     * The {@link Modifier} class should be used to decode the result.
     * 
     * @return the modifiers for this member
     * 
     * @see Modifier
     */
    int getModifiers();
}
